classification
Title: random module doc page has broken links
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, docs@python, ezio.melotti, georg.brandl, python-dev, r.david.murray, rhettinger, roysmith, salty-horse
Priority: normal Keywords:

Created on 2014-01-07 22:53 by roysmith, last changed 2016-02-19 07:58 by python-dev. This issue is now closed.

Messages (4)
msg207612 - (view) Author: Roy Smith (roysmith) Date: 2014-01-07 22:53
On http://docs.python.org/2/library/random.html, the links to random() go to the module, not the function.  Thus:

Almost all module functions depend on the basic function random(),

If you lick on random(), you get to http://docs.python.org/2/library/random.html#module-random

This looks like the same problem as issue19416.
msg207613 - (view) Author: Roy Smith (roysmith) Date: 2014-01-07 22:56
Ugh, that should say, "if you CLICK on random()".  Really wish I was filing this from my phone so I could blame it on autocorrect.
msg207648 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-01-08 00:26
I started to make some quick changes to fix this, but it turns out that the Random *class* isn't even documented in the docs except for the introductory paragraphs.  IMO that ought to be fixed, too, since the intro even talks about subclassing it.
msg260507 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-02-19 07:58
New changeset 2d8e8d0e7162 by Georg Brandl in branch '2.7':
Closes #20169: fix inner links random doc.
https://hg.python.org/cpython/rev/2d8e8d0e7162

New changeset 426ac89548b3 by Georg Brandl in branch '3.5':
Closes #20169: fix inner links random doc.
https://hg.python.org/cpython/rev/426ac89548b3
History
Date User Action Args
2016-02-19 07:58:01python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg260507

resolution: fixed
stage: needs patch -> resolved
2016-02-16 07:38:00serhiy.storchakasetpriority: low -> normal
nosy: + georg.brandl

versions: + Python 3.6, - Python 3.4
2016-02-16 04:23:15rhettingersetassignee: rhettinger ->
2016-02-15 22:22:18salty-horsesetnosy: + salty-horse
2015-01-31 00:39:04berker.peksagsetnosy: + berker.peksag

versions: + Python 3.5, - Python 3.3
2014-02-15 15:28:09ezio.melottisetnosy: + ezio.melotti
type: enhancement
2014-01-08 07:19:39rhettingersetpriority: normal -> low
assignee: docs@python -> rhettinger

nosy: + rhettinger
2014-01-08 00:26:09r.david.murraysetversions: + Python 3.3, Python 3.4
nosy: + r.david.murray

messages: + msg207648

stage: needs patch
2014-01-07 22:56:03roysmithsetmessages: + msg207613
2014-01-07 22:53:10roysmithcreate